Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 07 Mar 2021 16:48:30 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I have placed an order last night. Thank you for your order. Order 9640308351 for Coolbaby Travel Cot with Chang...  for AED  189.0 is confirmed. Expect delivery by 09-03-2021. Then it was already charged to my DEBIT CARD.  Then I received this Your payment for order 9640308186 is being processed, and it may take up to an hour. We’ll notify you when your order is confirmed. Sorry, Order 9640308186 was not processed successfully. Please try again or use Cash on Delivery at https://babyshop.app.link/bxxnHA9Lpeb. Can you please check what happened? Kindly note that I have been DEBITED already. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2205328